package com.jkcredit.invoice.service.lowerservice;

import com.jkcredit.invoice.model.entity.user.User;

/**
 * 校验接口
 * @author mumuxigua
 */
public interface CheckHasAuthRole {

    /**
     * 公司角色校验
     *
     * @param user
     * @param company
     */
    void checkCompanyRole(User user, String company);

    /**
     * 客户角色校验
     *
     * @param user
     * @param customerName
     */
    void checkCustomerRole(User user, String customerName);


    /**
     * 空信息校验
     *
     * @param args
     */
    boolean checkMessage(String ... args);
}
